//
//  untitled.h
//  scummvm
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class DotEmuChannelViewController;
@class switchViewController;
@class menuigViewController;
@class iPhoneViewController;
@class Gob1MenuViewController;
@class iPhoneView;

@interface iPhoneMain : NSObject <UIApplicationDelegate, UIAlertViewDelegate>
{
	//VIEW CONTROLLERS
	iPhoneViewController* _iVC;
	Gob1MenuViewController* _gob1MenuVC;
	switchViewController* _switchVC;
	menuigViewController* _menuigVC;
	
	DotEmuChannelViewController *_DEChannel;	

	//VIEW
	UIWindow* _window;
	iPhoneView* _view;
	
	//IPOD
	OSStatus status;
	
	//SAVE
	NSString *docsDirectory;
    NSString *path_sound;
	
	//TIMER
	NSTimer* popupMusicTimer;
}
@property (nonatomic, assign) DotEmuChannelViewController *_DEChannel;
@property (nonatomic, assign) switchViewController *_switchVC;
@property (nonatomic, assign) Gob1MenuViewController *_gob1MenuVC;
@property (nonatomic, assign) iPhoneViewController *_iVC;
@property (nonatomic, assign) menuigViewController *_menuigVC;
@property (nonatomic, assign) iPhoneView *_view;

//CLASS METHODS
- (void) mainLoop:(id)param;
- (void) didRotate:(NSNotification*)notification;
- (void) applicationWillterminate:(UIApplication *)application;
- (void) applicationDidFinishLaunching:(UIApplication*)application;
- (void) applicationWillResignActive:(UIApplication*)application;
- (void) applicationDidBecomeActive:(UIApplication*)application;

//ACTIONS
- (void) launchViews;
- (void) rotationNotification;

//METHODS
- (void) onPopupMusicActive;
- (void) pauseGame;

- (NSString *) platform; 

//ACCESSORS
- (iPhoneView*)getView;
- (void)setView:(iPhoneView*)iView;
- (UIWindow*)getWindow;

@end